Appearance
Get Account
GET/public/accountRetrieve a list of accounts connected to your workspace, including platform type, username, and connection status.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Standard+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | Yes | Page number, starting from 1. |
limit | number | Yes | Maximum items per page. |
type | string | No | Filter by platform. Options: facebook, instagram, threads, tiktok, linkedin, youtube. |
search | string | No | Search by account name or username. |
Example Request
bash
curl -X GET "https://api.repliz.com/public/account?page=1&limit=20&type=facebook&search=Azickri" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from 'axios';
const response = await axios.get('https://api.repliz.com/public/account', {
params: {
page: 1,
limit: 20,
type: 'facebook',
search: 'Azickri'
},
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY'
}
});
console.log(response.data);javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const response = await fetch('https://api.repliz.com/public/account?page=1&limit=20&type=facebook&search=Azickri', {
headers: {
'Authorization': `Basic ${credentials}`
}
});
const data = await response.json();
console.log(data);Response
json
{
"docs": [
{
"_id": "69800c55117d9be562a32680",
"generatedId": "-000WGDGHFLY9VxPiOHV7MQt752onqsgHnKm",
"name": "Kaboom",
"username": "kaboombakudan",
"picture": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-avt-0068/e77d82e1747fb47fdda23958...",
"isConnected": true,
"type": "tiktok",
"userId": "6879b98097fc8c8a78d1d4c1",
"createdAt": "2026-02-02T02:30:45.329Z",
"updatedAt": "2026-03-20T07:00:01.664Z",
"__v": 0,
"id": "69800c55117d9be562a32680"
}
],
"totalDocs": 6,
"limit": 20,
"totalPages": 1,
"page": 1,
"pagingCounter": 1,
"hasPrevPage": false,
"hasNextPage": false,
"prevPage": null,
"nextPage": null
}json
{
"code": 401,
"message": "unauthorized"
}